[U-Boot] [PATCH v2 7/7] sunxi: kconfig: Add %_felconfig rule to enable FEL build of sunxi platforms.

Ian Campbell ijc at hellion.org.uk
Fri Oct 24 22:20:50 CEST 2014


    $ make BOARD_felconfig
is more convenient than
    $ make BOARD_defconfig
    $ echo CONFIG_SPL_FEL=y >> .config
    $ echo CONFIG_SPL_FEL=y >> spl/.config

Signed-off-by: Ian Campbell <ijc at hellion.org.uk>
---
v2: New patch.

    Is this a good idea?
---
 scripts/multiconfig.sh | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/scripts/multiconfig.sh b/scripts/multiconfig.sh
index 3e3040b..70f3a5d 100644
--- a/scripts/multiconfig.sh
+++ b/scripts/multiconfig.sh
@@ -162,6 +162,16 @@ do_defconfig () {
 	fi
 }
 
+do_board_felconfig () {
+    do_board_defconfig ${1%%_felconfig}_defconfig
+    if ! grep -q CONFIG_ARCH_SUNXI=y .config || ! grep -q CONFIG_SPL=y .config ; then
+	echo "$progname: Cannot felconfig a non-sunxi or non-SPL platform" >&2
+	exit 1
+    fi
+    sed -i -e 's/\# CONFIG_SPL_FEL is not set/CONFIG_SPL_FEL=y/g' \
+	.config spl/.config
+}
+
 do_savedefconfig () {
 	if [ -r "$KCONFIG_CONFIG" ]; then
 		subimages=$(get_enabled_subimages)
@@ -323,6 +333,8 @@ target=$1
 case $target in
 *_defconfig)
 	do_board_defconfig $target;;
+*_felconfig)
+	do_board_felconfig $target;;
 *_config)
 	# backward compatibility
 	do_board_defconfig ${target%_config}_defconfig;;
-- 
2.1.0



More information about the U-Boot mailing list